Bullet Collision Detection & Physics Library: btDefaultMotionState Struct Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Public Attributes | List of all members
btDefaultMotionState Struct Reference

The btDefaultMotionState provides a common implementation to synchronize world transforms with offsets. More...

`#include <btDefaultMotionState.h>`

Inheritance diagram for btDefaultMotionState:
[legend]
Collaboration diagram for btDefaultMotionState:
[legend]

## Public Member Functions
| BT_DECLARE_ALIGNED_ALLOCATOR ()
| btDefaultMotionState (const btTransform &startTrans=btTransform::getIdentity(), const btTransform &centerOfMassOffset=btTransform::getIdentity())
virtual void | getWorldTransform (btTransform &centerOfMassWorldTrans) const
| synchronizes world transform from user to physics More...
virtual void | setWorldTransform (const btTransform &centerOfMassWorldTrans)
| synchronizes world transform from physics to user Bullet only calls the update of worldtransform for active objects More...
Public Member Functions inherited from btMotionState
virtual | ~btMotionState ()

## Public Attributes
btTransform | m_graphicsWorldTrans
btTransform | m_centerOfMassOffset
btTransform | m_startWorldTrans
void * | m_userPointer

## Detailed Description

The btDefaultMotionState provides a common implementation to synchronize world transforms with offsets.

Definition at line 7 of file btDefaultMotionState.h.

## Constructor & Destructor Documentation

## ◆ btDefaultMotionState()

btDefaultMotionState::btDefaultMotionState | ( | const btTransform & | startTrans = `btTransform::getIdentity()`,
|  | const btTransform & | centerOfMassOffset = `btTransform::getIdentity()`
| ) |  |
| inline

Definition at line 17 of file btDefaultMotionState.h.

## Member Function Documentation

## ◆ BT_DECLARE_ALIGNED_ALLOCATOR()

btDefaultMotionState::BT_DECLARE_ALIGNED_ALLOCATOR | ( |  | ) |

## ◆ getWorldTransform()

virtual void btDefaultMotionState::getWorldTransform | ( | btTransform & | centerOfMassWorldTrans | ) | const
| inlinevirtual

synchronizes world transform from user to physics

Implements btMotionState.

Definition at line 27 of file btDefaultMotionState.h.

## ◆ setWorldTransform()

virtual void btDefaultMotionState::setWorldTransform | ( | const btTransform & | centerOfMassWorldTrans | ) |
| inlinevirtual

synchronizes world transform from physics to user Bullet only calls the update of worldtransform for active objects

Implements btMotionState.

Definition at line 34 of file btDefaultMotionState.h.

## Member Data Documentation

## ◆ m_centerOfMassOffset

btTransform btDefaultMotionState::m_centerOfMassOffset

Definition at line 11 of file btDefaultMotionState.h.

## ◆ m_graphicsWorldTrans

btTransform btDefaultMotionState::m_graphicsWorldTrans

Definition at line 10 of file btDefaultMotionState.h.

## ◆ m_startWorldTrans

btTransform btDefaultMotionState::m_startWorldTrans

Definition at line 12 of file btDefaultMotionState.h.

## ◆ m_userPointer

void* btDefaultMotionState::m_userPointer

Definition at line 13 of file btDefaultMotionState.h.

The documentation for this struct was generated from the following file:

- btDefaultMotionState.h